MyGUI::UString::_rev_iterator Class Reference

forward iterator for UString More...

`#include <MyGUI_UString.h>`

Inheritance diagram for MyGUI::UString::_rev_iterator:
[legend]

## Public Member Functions

_rev_iterator & | operator++ ()
| pre-increment
_rev_iterator | operator++ (int)
| post-increment
_rev_iterator & | operator-- ()
| pre-decrement
_rev_iterator | operator-- (int)
| post-decrement
_rev_iterator | operator+ (difference_type n)
| addition operator
_rev_iterator | operator- (difference_type n)
| subtraction operator
_rev_iterator & | operator+= (difference_type n)
| addition assignment operator
_rev_iterator & | operator-= (difference_type n)
| subtraction assignment operator
value_type & | operator* () const
| dereference operator
value_type & | operator[] (difference_type n) const
| dereference at offset operator

## Additional Inherited Members

Protected Types inherited from MyGUI::UString::_base_iterator
using | difference_type = ptrdiff_t
Protected Member Functions inherited from MyGUI::UString::_base_iterator
void | _seekFwd (size_type c)
void | _seekRev (size_type c)
void | _become (const _base_iterator &i)
bool | _test_begin () const
bool | _test_end () const
size_type | _get_index () const
void | _jump_to (size_type index)
unicode_char | _getCharacter () const
int | _setCharacter (unicode_char uc)
void | _moveNext ()
void | _movePrev ()
Protected Attributes inherited from MyGUI::UString::_base_iterator
dstring::iterator | mIter
UString * | mString {nullptr}

## Detailed Description

forward iterator for UString

Definition at line 327 of file MyGUI_UString.h.

## Member Function Documentation

## operator*()

UString::value_type & MyGUI::UString::_rev_iterator::operator* | ( |  | ) | const

dereference operator

Definition at line 372 of file MyGUI_UString.cpp.

## operator+()

UString::_rev_iterator MyGUI::UString::_rev_iterator::operator+ | ( | difference_type | n | ) |

addition operator

Definition at line 334 of file MyGUI_UString.cpp.

## operator++() [1/2]

UString::_rev_iterator & MyGUI::UString::_rev_iterator::operator++ | ( |  | ) |

pre-increment

Definition at line 308 of file MyGUI_UString.cpp.

## operator++() [2/2]

UString::_rev_iterator MyGUI::UString::_rev_iterator::operator++ | ( | int |  | ) |

post-increment

Definition at line 314 of file MyGUI_UString.cpp.

## operator+=()

UString::_rev_iterator & MyGUI::UString::_rev_iterator::operator+= | ( | difference_type | n | ) |

addition assignment operator

Definition at line 354 of file MyGUI_UString.cpp.

## operator-()

UString::_rev_iterator MyGUI::UString::_rev_iterator::operator- | ( | difference_type | n | ) |

subtraction operator

Definition at line 344 of file MyGUI_UString.cpp.

## operator--() [1/2]

UString::_rev_iterator & MyGUI::UString::_rev_iterator::operator-- | ( |  | ) |

pre-decrement

Definition at line 321 of file MyGUI_UString.cpp.

## operator--() [2/2]

UString::_rev_iterator MyGUI::UString::_rev_iterator::operator-- | ( | int |  | ) |

post-decrement

Definition at line 327 of file MyGUI_UString.cpp.

## operator-=()

UString::_rev_iterator & MyGUI::UString::_rev_iterator::operator-= | ( | difference_type | n | ) |

subtraction assignment operator

Definition at line 363 of file MyGUI_UString.cpp.

## operator[]()

UString::value_type & MyGUI::UString::_rev_iterator::operator[] | ( | difference_type | n | ) | const

dereference at offset operator

Definition at line 377 of file MyGUI_UString.cpp.

The documentation for this class was generated from the following files:

- MyGUI_UString.h
- MyGUI_UString.cpp